﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;

namespace lovci_pokladů
{
    public partial class Form1 : Form
    {
        int hra;
        int tahudokonce;
        string Adresa = "http://localhost:8000";
        mapa map;
        protected override void OnPaintBackground(PaintEventArgs e)
        {
            base.OnPaintBackground(e);
        }
        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);
            //e.Graphics.DrawImage(map.bitmap, 0, 0);
        }
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string[] radek = ZjistiHodnotyZeServeru(Adresa + "/start").Split(new string[] {"\r\n"}, StringSplitOptions.RemoveEmptyEntries);
            hra = int.Parse(radek[0]);
            tahudokonce = int.Parse(radek[1]);
            map = new mapa(radek);

        }
        string ZjistiHodnotyZeServeru(string adresa)
        {
            string retur = "";
            WebRequest webrequest;
            webrequest = WebRequest.Create(adresa);
            try
            {
                retur = webrequest.GetResponse().ToString();
                //Stream stream = webrequest.GetRequestStream();
                //StreamReader streamreader = new StreamReader(stream);
                //retur = streamreader.ReadToEnd();
            }
            catch
            {
                MessageBox.Show("nelze");
                Close();
            }
            return retur;
        }
    }
    public class mapa
    {
        public Graphics graphics;
        public Bitmap bitmap = new Bitmap(500, 500);
        public mapa(string []map)
        {
            graphics = Graphics.FromImage(bitmap);
            for (int i = 2; i < 10; i++)
            {
                for (int j = 0; j < 10; j++)
                {
                    if (map[i].IndexOf('.', j * 2) == j * 2)
                    {
                        graphics.FillRectangle(new SolidBrush(Color.Green), (i - 2) * 50, j * 50, 50, 50);
                    }
                    if (map[i].IndexOf('X', j * 2) == j * 2)
                    {
                        graphics.FillRectangle(new SolidBrush(Color.Gray), (i - 2) * 50, j * 50, 50, 50);
                    }
                    if (map[i].IndexOf('-', j * 2) == j * 2)
                    {
                        graphics.FillRectangle(new SolidBrush(Color.Red), (i - 2) * 50, j * 50, 50, 50);
                        graphics.DrawString("základna sopeře", new Font("Arial", 5), new SolidBrush(Color.Black), (i - 2) * 50, (j * 50) + 2);
                    }
                    if (map[i].IndexOf('+', j * 2) == j * 2)
                    {
                        graphics.FillRectangle(new SolidBrush(Color.LightGreen), (i - 2) * 50, j * 50, 50, 50);
                        graphics.DrawString("základna sopeře", new Font("Arial", 5), new SolidBrush(Color.Black), (i - 2) * 50, (j * 50) + 2);
                    }
                }
            }
        }
    }
}
